/* tslint:disable */
/* eslint-disable */
/**
 * Coscine Web API
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


// May contain unused imports in some cases
// @ts-ignore
import type { DisciplineDto } from './discipline-dto';
// May contain unused imports in some cases
// @ts-ignore
import type { ProjectDto } from './project-dto';
// May contain unused imports in some cases
// @ts-ignore
import type { ProjectMinimalDto } from './project-minimal-dto';
// May contain unused imports in some cases
// @ts-ignore
import type { ProjectOrganizationDto } from './project-organization-dto';
// May contain unused imports in some cases
// @ts-ignore
import type { ProjectPublicationRequestDto } from './project-publication-request-dto';
// May contain unused imports in some cases
// @ts-ignore
import type { ProjectQuotaDto } from './project-quota-dto';
// May contain unused imports in some cases
// @ts-ignore
import type { ProjectResourceMinimalDto } from './project-resource-minimal-dto';
// May contain unused imports in some cases
// @ts-ignore
import type { ProjectRoleMinimalDto } from './project-role-minimal-dto';
// May contain unused imports in some cases
// @ts-ignore
import type { UserMinimalDto } from './user-minimal-dto';
// May contain unused imports in some cases
// @ts-ignore
import type { VisibilityDto } from './visibility-dto';

/**
 * Represents a data transfer object (DTO) for an administrative view of a project.  Extends the base information in Coscine.Api.Core.Shared.DataTransferObjects.ReturnObjects.ProjectDto.
 * @export
 * @interface ProjectAdminDto
 */
export interface ProjectAdminDto {
    /**
     * Unique identifier for the project.
     * @type {string}
     * @memberof ProjectAdminDto
     */
    'id': string;
    /**
     * Persistent identifier for the project.
     * @type {string}
     * @memberof ProjectAdminDto
     */
    'pid': string;
    /**
     * Name of the project.
     * @type {string}
     * @memberof ProjectAdminDto
     */
    'name': string;
    /**
     * Description of the project.
     * @type {string}
     * @memberof ProjectAdminDto
     */
    'description': string;
    /**
     * Start date of the project.
     * @type {string}
     * @memberof ProjectAdminDto
     */
    'startDate': string;
    /**
     * End date of the project.
     * @type {string}
     * @memberof ProjectAdminDto
     */
    'endDate': string;
    /**
     * Collection of keywords associated with the project.
     * @type {Array<string>}
     * @memberof ProjectAdminDto
     */
    'keywords'?: Array<string> | null;
    /**
     * Display name of the project.
     * @type {string}
     * @memberof ProjectAdminDto
     */
    'displayName'?: string | null;
    /**
     * Principal investigators involved in the project.
     * @type {string}
     * @memberof ProjectAdminDto
     */
    'principleInvestigators'?: string | null;
    /**
     * Grant ID associated with the project.
     * @type {string}
     * @memberof ProjectAdminDto
     */
    'grantId'?: string | null;
    /**
     * 
     * @type {VisibilityDto}
     * @memberof ProjectAdminDto
     */
    'visibility': VisibilityDto;
    /**
     * Disciplines related to the project.
     * @type {Array<DisciplineDto>}
     * @memberof ProjectAdminDto
     */
    'disciplines': Array<DisciplineDto>;
    /**
     * Organizations associated with the project.
     * @type {Array<ProjectOrganizationDto>}
     * @memberof ProjectAdminDto
     */
    'organizations': Array<ProjectOrganizationDto>;
    /**
     * Slug for the project.
     * @type {string}
     * @memberof ProjectAdminDto
     */
    'slug': string;
    /**
     * 
     * @type {UserMinimalDto}
     * @memberof ProjectAdminDto
     */
    'creator'?: UserMinimalDto;
    /**
     * Date of creation of the project.
     * @type {string}
     * @memberof ProjectAdminDto
     */
    'creationDate'?: string | null;
    /**
     * Collection of sub-projects associated with this project.
     * @type {Array<ProjectDto>}
     * @memberof ProjectAdminDto
     */
    'subProjects'?: Array<ProjectDto> | null;
    /**
     * 
     * @type {ProjectMinimalDto}
     * @memberof ProjectAdminDto
     */
    'parent'?: ProjectMinimalDto;
    /**
     * Indicates whether the project is marked as deleted.
     * @type {boolean}
     * @memberof ProjectAdminDto
     */
    'deleted'?: boolean;
    /**
     * Collection of minimal project resource details associated with the project.
     * @type {Array<ProjectResourceMinimalDto>}
     * @memberof ProjectAdminDto
     */
    'projectResources'?: Array<ProjectResourceMinimalDto>;
    /**
     * Collection of minimal project role details associated with the project.
     * @type {Array<ProjectRoleMinimalDto>}
     * @memberof ProjectAdminDto
     */
    'projectRoles'?: Array<ProjectRoleMinimalDto>;
    /**
     * Collection of project quotas associated with the project.
     * @type {Array<ProjectQuotaDto>}
     * @memberof ProjectAdminDto
     */
    'projectQuota'?: Array<ProjectQuotaDto>;
    /**
     * Collection of project publication requests associated with the project.
     * @type {Array<ProjectPublicationRequestDto>}
     * @memberof ProjectAdminDto
     */
    'publicationRequests'?: Array<ProjectPublicationRequestDto>;
}

